/* 
    本api专指系统字典
*/
import request from '@/utils/request'
function getAllRow(data) {//查询所有字典编码
    return request({
        url: `/getGlobalCode`,
        method: "get",
        params: data
    })
}
function getRowById(data) {//根据id获取字典详细信息
    return request({
        url: `/getGlobalCode/byid`,
        method: "get",
        params: data
    })
}
function getChildren(data) {//根据字典编码获取下级
    return request({
        url: `/getGlobalChildrenCode`,
        method: "get",
        params: data
    })
}
function saveRow(data) {//保存或修改
    return request({
        url: `/saveGlobalcode`,
        method: "post",
        data
    })
}
function delRow(data) {//删除字典
    return request({
        url: `/deleteGlobalcode`,
        method: "post",
        data
    })
}
export default {
    getAllRow,
    getRowById,
    getChildren,
    saveRow,
    delRow,
}